import { EventEmitter } from '@angular/core';
import { TransactionHeaderBaseComponent } from '../core/base/transaction-header-base.component';
export declare class TransactionTotalsComponent extends TransactionHeaderBaseComponent {
    showDiscount: boolean;
    discountClick: EventEmitter<MouseEvent>;
    showClass(): boolean;
    header: string;
    showDiscountDialog: boolean;
    handleShowDiscountDialog(event: MouseEvent): Promise<void>;
    protected transactionTotalSet(): void;
}
